# Created by pyp2rpm-3.3.7
%global pypi_name pyroma
%global pypi_version 3.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Test your project's packaging friendliness

License:        MIT
URL:            https://github.com/regebro/pyroma
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(pygments)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)

%description
Pyroma rhymes with aroma, and is a product aimed at giving a rating of how well
a Python project complies with the best practices of the Python packaging
ecosystem, primarily PyPI, pip, Distribute etc, as well as a list of issues
that could be improved.The aim of this is both to help people make a project
that is nice and usable, but also to improve the quality of Python third-party
software,...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(docutils)
Requires:       python3dist(pygments)
Requires:       python3dist(requests)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
Pyroma rhymes with aroma, and is a product aimed at giving a rating of how well
a Python project complies with the best practices of the Python packaging
ecosystem, primarily PyPI, pip, Distribute etc, as well as a list of issues
that could be improved.The aim of this is both to help people make a project
that is nice and usable, but also to improve the quality of Python third-party
software,...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst README.txt pyroma/testdata/complete/README.txt pyroma/testdata/only_config/README.txt pyroma/testdata/setup_config/README.txt
%{_bindir}/pyroma
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Nov 05 2021 mockbuilder - 3.2-1
- Initial package.